[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TValueListEditor.ColRowExchanged

Exchanges row values at the specified positions.

## Declaration

Source position: valedit.pas line 156

`protected procedure TValueListEditor.ColRowExchanged(`
`IsColumn: Boolean;`
`index: Integer;`
`WithIndex: Integer`
`); override;`

## Arguments

`IsColumn` |  | Indicates if the exchange applies to the column only or the entire row.
`index` |  | First position to be swapped.
`WithIndex` |  | Second position to be swapped.

## Description

ColRowExchanged is a procedure used to exchange row values at the specified positions. ColRowExchanged extends the inherited method by applying the changes to the Strings property after adjusting the index positions for the number of FixedRows in the control. ColRowExchanged calls the inherited method using IsColumn, Index, and WithIndex as arguments.

## See also

TCustomDrawGrid.ColRowExchanged |  | Performs actions needed when column or row data at the specified positions are exchanged in the grid control.